Mirroring

Functions
Mirroring
Elementary

These functions allow you to set ui-mirroring on specific widgets or the whole interface. More...

## Functions
Eina_Bool | elm_object_mirrored_get (const Evas_Object *obj)
| Get the widget's mirrored mode. More...
void | elm_object_mirrored_set (Evas_Object *obj, Eina_Bool mirrored)
| Set the widget's mirrored mode. More...
Eina_Bool | elm_object_mirrored_automatic_get (const Evas_Object *obj)
| Returns the widget's mirrored mode setting. More...
void | elm_object_mirrored_automatic_set (Evas_Object *obj, Eina_Bool automatic)
| Sets the widget's mirrored mode setting. More...

## Detailed Description

These functions allow you to set ui-mirroring on specific widgets or the whole interface.

Widgets can be in one of two modes, automatic and manual. Automatic means they'll be changed according to the system mirroring mode and manual means only explicit changes will matter. You are not supposed to change mirroring state of a widget set to automatic, will mostly work, but the behavior is not really defined.

## Function Documentation

## ◆ elm_object_mirrored_get()

Eina_Bool elm_object_mirrored_get | ( | const Evas_Object * | obj | ) |

Get the widget's mirrored mode.

Parameters

  obj | The widget.

Returns
  `EINA_TRUE` if mirrored is set, `EINA_FALSE` otherwise

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elm_object_mirrored_set()

void elm_object_mirrored_set | ( | Evas_Object * | obj,
|  | Eina_Bool | mirrored
| ) |  |

Set the widget's mirrored mode.

Parameters

  obj | The widget.
  mirrored | `EINA_TRUE` to set mirrored mode, `EINA_FALSE` to unset it.

References EINA_SAFETY_ON_NULL_RETURN.

## ◆ elm_object_mirrored_automatic_get()

Eina_Bool elm_object_mirrored_automatic_get | ( | const Evas_Object * | obj | ) |

Returns the widget's mirrored mode setting.

Parameters

  obj | The widget.

Returns
  mirrored mode setting of the object.

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ elm_object_mirrored_automatic_set()

void elm_object_mirrored_automatic_set | ( | Evas_Object * | obj,
|  | Eina_Bool | automatic
| ) |  |

Sets the widget's mirrored mode setting.

When widget in automatic mode, it follows the system mirrored mode set by elm_mirrored_set().

Parameters

  obj | The widget.
  automatic | `EINA_TRUE` for auto mirrored mode. `EINA_FALSE` for manual.

References EINA_SAFETY_ON_NULL_RETURN.